Issue 28127 - Ability to display Jewish date using the Hebrew numbering system
Ability to display Jewish date using the Hebrew numbering system
Status: CLOSED FIXED
Product: Internationalization
Classification: Code
Component: BiDi
680m32
PC All
: P3 trivial (vote)
: ---
Assigned To: oc
issues@l10n
: Hebrew
Depends on: 23372
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 22:44 UTC by sforbes
Modified: 2013-08-07 15:00 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Example document- while page numbers should stay in English, the Jewish date should be all in Hebrew (5.74 KB, application/vnd.sun.xml.writer)
2004-04-20 22:50 UTC, sforbes
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description sforbes 2004-04-20 22:44:15 UTC
Right now, it is possible to display a Jewish using a custom format, like
[~jewish]NNNNDD MMMM, YYYY

However, the numbers in the date are displayed using western numbers, while
usally they should be displayed using the Hebrew numbering system.

We should be able to have a formmating option to display a Jewish date fully in
Hebrew.
Comment 1 sforbes 2004-04-20 22:46:01 UTC
Adding dependency to issue #17516, which covers adding Hebrew numbering system
to OOo. Note that for date, the 2nd system mentioned in that bug is used (the
one not implemented yet).
Comment 2 sforbes 2004-04-20 22:50:12 UTC
Created attachment 14670 [details]
Example document- while page numbers should stay in English, the Jewish date should be all in Hebrew
Comment 3 karl.hong 2004-04-21 00:14:55 UTC
2nd system is covered by issue i23372 and is fixed in cws hebnum. Format
[NatNum1][~jewish]NNNNDD MMMM, YYYY will show number in hebrew.
Comment 4 karl.hong 2004-05-12 00:31:52 UTC
Karl: Since user expects to see Hebrew number in Jewish calendar, I make 
Hebrew number as default for the calendar, which means user does not need to 
specify [NatNum1], just [~jewish]NNNNDD MMMM, YYYY will should day and 
year in Hebrew.
Comment 5 karl.hong 2004-05-12 23:57:01 UTC
Ready for QA.
Comment 6 karl.hong 2004-05-12 23:57:33 UTC
.
Comment 7 oc 2004-05-13 10:20:50 UTC
reset resolution to fixed and adjusting target milestone
Comment 8 frank 2004-06-11 16:13:46 UTC
FST: Verified in cws hebnum on Solaris, Linux and Windows

Comment 9 oc 2004-08-03 14:14:22 UTC
closed because fix available in current build